APIs / Reed / Jobs Search

Reed: Jobs Search

Jobs Search from Reed as JSON. 1 credit per successful call.

GET /v1/reed/jobs-search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
keywordsstringOptionalUp to 100 characters
locationstringOptionalUp to 100 characters
proximityintegerOptional0, 1, 3, 5, 10, 15, 20, 30, 50
salary_fromintegerOptionalAny
salary_tointegerOptionalAny
job_type[]list of stringOptionalpermanent, contract, temp
hours[]list of stringOptionalfull_time, part_time
working_optionstringOptionalon_site, hybrid, remote
posted_withinstringOptionaltoday, 3_days, week, 2_weeks
pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/reed/jobs-search?keywords=software+engineer&location=london" \
  -H "X-API-Key: $API_KEY"